package com.github.wxiaoqi.security.admin.vo;

import com.github.wxiaoqi.security.admin.entity.CompanyInfoApply;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author libin
 * @version 1.0
 * @description
 * @data 2019/7/12 9:20
 */
@Data
public class CompanyApplyVo extends CompanyInfoApply {


    @ApiModelProperty("商家名称")
    private String branchName;

    @ApiModelProperty("是否支付")
    private  Integer isPay;


    @ApiModelProperty("状态：0-待审核；1-审核成功；2-驳回;3-未支付")
    private  Integer applyStatus;


    public  Integer  getApplyStatus(){
        Integer applyStatus = super.getStatus();
        if ( applyStatus != null &&  applyStatus == 0 && isPay != null &&  isPay  == 0){
            applyStatus = 3;
        }
        return  applyStatus;
    }
}
